<?php

namespace FM\Controller;

use Zeedhi\Framework\DTO\Request;
use FM\Service\Fm00004001TransferirTarefasService;
use FM\Traits\TResponse;

class Fm00004001TransferirTarefasController
{
    use TResponse;
    protected $Fm00004001TransferirTarefasService;

    public function __construct(Fm00004001TransferirTarefasService $Fm00004001TransferirTarefasService)
    {
        $this->Fm00004001TransferirTarefasService = $Fm00004001TransferirTarefasService;
    }

    public function getOperadorDestino(Request $request)
    {
        try {
            $data = $this->Fm00004001TransferirTarefasService->getOperadorDestino($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function transferirTarefas(Request $request)
    {
        try {
            $data = $this->Fm00004001TransferirTarefasService->transferirTarefas($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}
