<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;
use Teknisa\Model\Traits\TQuery;

class FmtProdutoFactory
{
    use TQuery;

    protected $connection;
    protected $entityManager;

    public function __construct(EntityManager $entityManager)
    {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
    }

    public function getProdutos()
    {
        $sql = "SELECT CDPRODUTO, NMPRODUTO
                FROM PRODUTO";

        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
    }
}
